\section{Changes}\label{changes}

\begin{itemize}
\item
  2025/02/19

  \begin{itemize}
  \tightlist
  \item
    version \texttt{0.4a} released.
  \end{itemize}
\item
  2025/01/10

  \begin{itemize}
  \tightlist
  \item
    fixed adding of files for sections to the OPF file.
  \end{itemize}
\item
  2024/12/03

  \begin{itemize}
  \tightlist
  \item
    fixed Epub 3 footnotes. https://tex.stackexchange.com/a/732071/2891
  \end{itemize}
\item
  2024/06/16

  \begin{itemize}
  \tightlist
  \item
    fixed support for \texttt{-\/-build-dir} that contains dashes.
    Thanks to Danie-1. https://github.com/michal-h21/tex4ebook/pull/132
  \end{itemize}
\item
  2024/04/21

  \begin{itemize}
  \tightlist
  \item
    better detection of \texttt{zip} and \texttt{miktex-zip} commands.
  \end{itemize}
\item
  2024/02/23

  \begin{itemize}
  \tightlist
  \item
    version \texttt{0.4} released.
  \end{itemize}
\item
  2023/10/30

  \begin{itemize}
  \tightlist
  \item
    added the \texttt{\textbackslash{}epubpage} command
  \end{itemize}
\item
  2023/10/17

  \begin{itemize}
  \tightlist
  \item
    added the \texttt{-\/-build-dir} command line option.
  \end{itemize}
\item
  2023/10/15

  \begin{itemize}
  \tightlist
  \item
    don't set PNG as image format explicitly.
  \end{itemize}
\item
  2023/06/02

  \begin{itemize}
  \tightlist
  \item
    prevent fatal errors in the \texttt{zip} command executable
    detection.
  \end{itemize}
\item
  2023/05/29

  \begin{itemize}
  \tightlist
  \item
    save author and date globally.
  \end{itemize}
\item
  2023/05/23

  \begin{itemize}
  \tightlist
  \item
    removed spurious numbers from TOC in Epub 3.
  \end{itemize}
\item
  2023/03/17

  \begin{itemize}
  \tightlist
  \item
    released version \texttt{0.3j}.
  \item
    fixed bug in generating of TOC in the NCX file.
  \end{itemize}
\item
  2023/03/02

  \begin{itemize}
  \tightlist
  \item
    released verision \texttt{0.3i}.
  \item
    check if file with TOC exists before processing.
  \end{itemize}
\item
  2023/01/12

  \begin{itemize}
  \tightlist
  \item
    added all mimetypes supported in Epub.
  \end{itemize}
\item
  2023/01/09

  \begin{itemize}
  \tightlist
  \item
    fixed handling of metadata for filenames with accented characters.
  \end{itemize}
\item
  2022/12/15

  \begin{itemize}
  \tightlist
  \item
    use lower case file extensions for mimetype matching.
  \end{itemize}
\item
  2022/12/01

  \begin{itemize}
  \tightlist
  \item
    set destinations for \texttt{\textbackslash{}label} used inside of
    footnotes.
  \item
    fixed handling of multiple tables of contents in Epub 3.
  \end{itemize}
\item
  2022/11/20

  \begin{itemize}
  \tightlist
  \item
    added support for the \texttt{fn-in} option in the Epub 3 output.
  \end{itemize}
\item
  2022/03/29

  \begin{itemize}
  \tightlist
  \item
    fixed support for \TeX~filenames that contain dot.
  \item
    removed spurious comma that was introduced earlier.
  \end{itemize}
\item
  2022/03/28

  \begin{itemize}
  \tightlist
  \item
    documented the \texttt{no-cut} option.
  \end{itemize}
\item
  2022/02/23

  \begin{itemize}
  \tightlist
  \item
    extended the documentation about build files.
  \item
    deprecated the \texttt{-\/-resolution} CLI argument.
  \end{itemize}
\item
  2022/02/22

  \begin{itemize}
  \tightlist
  \item
    print \texttt{\textbackslash{}subsubsection} in the Epub TOC.
  \end{itemize}
\item
  2022/02/18

  \begin{itemize}
  \tightlist
  \item
    released version \texttt{0.3h}.
  \end{itemize}
\item
  2022/01/13

  \begin{itemize}
  \tightlist
  \item
    fixed issue where child TOC elements were inserted into
    \texttt{\textless{}a\textgreater{}} element.
  \end{itemize}
\item
  2021/12/07

  \begin{itemize}
  \tightlist
  \item
    print space after section number in Epub 3 TOC.
  \item
    keep original elements in Epub 3 TOC.
  \end{itemize}
\item
  2021/12/04

  \begin{itemize}
  \tightlist
  \item
    fixed support for
    \href{https://github.com/michal-h21/tex4ebook/issues/85}{appendix
    chapters in Epub 3}.
  \end{itemize}
\item
  2021/11/08

  \begin{itemize}
  \tightlist
  \item
    released version \texttt{0.3g}
  \item
    bug fix: removed spurious \texttt{0} character from the NCX file.
  \end{itemize}
\item
  2021/11/05

  \begin{itemize}
  \tightlist
  \item
    released version \texttt{0.3f}
  \item
    fixed spurious numbers in NCX TOC caused by wrong use of
    \texttt{\textbackslash{}cs\_if\_exist\_use:cTF} command.
  \end{itemize}
\item
  2021/10/08

  \begin{itemize}
  \tightlist
  \item
    fix for \texttt{\textbackslash{}author} support in \texttt{amsart}
    class.
  \end{itemize}
\item
  2021/09/30

  \begin{itemize}
  \tightlist
  \item
    released version \texttt{0.3e}
  \item
    better detection if \texttt{kindlegen} was found.
  \end{itemize}
\item
  2021/09/23

  \begin{itemize}
  \tightlist
  \item
    use \texttt{ebook-convert} for convertsion to Kindle formats if
    \texttt{kindlegen} fails.
  \end{itemize}
\item
  2021/08/22

  \begin{itemize}
  \tightlist
  \item
    fixed
    \href{https://tex.stackexchange.com/a/611611/2891}{cross-referencing
    issue} related to unnumbered equations.
  \end{itemize}
\item
  2021/07/26

  \begin{itemize}
  \tightlist
  \item
    released version \texttt{0.3d}
  \end{itemize}
\item
  2021/05/29

  \begin{itemize}
  \tightlist
  \item
    renamed \texttt{DeclareLanguage} to
    \texttt{\textbackslash{}DeclareLanguageEbook}. Fixes
    \href{https://github.com/michal-h21/tex4ebook/issues/78}{issue 78}.
  \end{itemize}
\item
  2021/05/15

  \begin{itemize}
  \tightlist
  \item
    use \texttt{assert} in checking of existence of the \texttt{zip}
    command.
  \item
    replace colons in \texttt{OPF} \texttt{id} attributes and add
    trailing \texttt{x} if the \texttt{id} starts with number. It should
    fix some validation issues.
  \end{itemize}
\item
  2021/05/02

  \begin{itemize}
  \tightlist
  \item
    added more examples of configuration to the documentation.
  \end{itemize}
\item
  2020/11/09

  \begin{itemize}
  \tightlist
  \item
    set exit status
  \end{itemize}
\item
  2020/11/09

  \begin{itemize}
  \tightlist
  \item
    don't redefine \texttt{PicDisplay} configuration.
  \end{itemize}
\item
  2020/11/06

  \begin{itemize}
  \tightlist
  \item
    bug fix: remove custom elements from the NCX file in the Epub 3
    format.
  \item
    released version \texttt{0.3c}
  \end{itemize}
\item
  2020/09/07

  \begin{itemize}
  \tightlist
  \item
    released version \texttt{0.3b}
  \end{itemize}
\item
  2020/08/26

  \begin{itemize}
  \tightlist
  \item
    fixed hiearchical structure in NCX TOC for chapters in backmatter
    and appendix
  \item
    load \texttt{common\_domfilters} extension by default.
  \end{itemize}
\item
  2020/07/09

  \begin{itemize}
  \tightlist
  \item
    addded \texttt{AZW} and \texttt{AZW3} format support.
  \end{itemize}
\item
  2020/06/21

  \begin{itemize}
  \tightlist
  \item
    save \texttt{\textbackslash{}title} element
  \item
    save contents of \texttt{\textbackslash{}author} in macro directly
  \end{itemize}
\item
  2020/06/15

  \begin{itemize}
  \tightlist
  \item
    remove child elements from elements that don't allow them in the OPF
    and NCX file.
  \end{itemize}
\item
  2020/03/14

  \begin{itemize}
  \tightlist
  \item
    explicitly list supported section types in the NCX table
  \end{itemize}
\item
  2019/11/01

  \begin{itemize}
  \tightlist
  \item
    released version \texttt{0.3a}
  \item
    added \texttt{tex4ebook-} prefix to the output formats.
  \item
    removed unused files.
  \end{itemize}
\item
  2019/11/01

  \begin{itemize}
  \tightlist
  \item
    released version \texttt{0.3}
  \end{itemize}
\item
  2019/10/20

  \begin{itemize}
  \tightlist
  \item
    fixed the \texttt{TOC} cleanup in the \texttt{ePub\ 3} mode.
  \item
    added support for the \texttt{page-spread-left} and
    \texttt{page-spreat-right} properties.
  \end{itemize}
\item
  2019/10/20

  \begin{itemize}
  \tightlist
  \item
    addapted to use the \texttt{make4ht} logging mechanism.
  \end{itemize}
\item
  2019/10/06

  \begin{itemize}
  \tightlist
  \item
    fixed bug with void elements parsing in the OPF file.
  \item
    undo \texttt{\textbackslash{}XeTeXcharclass} for the \texttt{:}
    character when the OPF file is generated.
  \end{itemize}
\item
  2019/09/16

  \begin{itemize}
  \tightlist
  \item
    make the default build sequence before loading of the extensions.
    Some extensions need to modify the build sequence.
  \end{itemize}
\item
  2019/08/28

  \begin{itemize}
  \tightlist
  \item
    added support for reading input from \texttt{STDIN}.
  \end{itemize}
\item
  2019/08/27

  \begin{itemize}
  \tightlist
  \item
    added support for the \texttt{-\/-jobname} command line option.
  \end{itemize}
\item
  2019/08/25

  \begin{itemize}
  \tightlist
  \item
    use the \texttt{mkparams.get\_args} function to retrieve the command
    line options
  \end{itemize}
\item
  2019/07/24

  \begin{itemize}
  \tightlist
  \item
    added support for the \texttt{\textbackslash{}author} command with
    an optional argument
  \end{itemize}
\item
  2019/05/09

  \begin{itemize}
  \tightlist
  \item
    added support for the \texttt{\textbackslash{}title} command with an
    optional argument
  \end{itemize}
\item
  2019/04/04

  \begin{itemize}
  \tightlist
  \item
    register appendix chapters and section in the OPF file list
  \item
    fixed handling of appendices in the NCX table of contents
  \end{itemize}
\item
  2019/03/21

  \begin{itemize}
  \tightlist
  \item
    released version \texttt{0.2c}
  \end{itemize}
\item
  2019/03/07

  \begin{itemize}
  \tightlist
  \item
    use \texttt{Luatexbase} package in the documentation because of
    \texttt{Microtype} error
  \item
    remove \texttt{\textless{}guide\textgreater{}} element even in ePub
    2
  \item
    added \texttt{encoding} attribute to XML declaration in the NCX and
    OPF files
  \item
    clean the temporary directory (\texttt{filename-format}) before file
    packing
  \end{itemize}
\item
  2019/01/21

  \begin{itemize}
  \tightlist
  \item
    added \texttt{\textbackslash{}Configure\{@author\}}
  \end{itemize}
\item
  2019/01/10

  \begin{itemize}
  \tightlist
  \item
    released version \texttt{0.2b}
  \end{itemize}
\item
  28/11/2018

  \begin{itemize}
  \tightlist
  \item
    added support for appendix sections to the NCX file
  \end{itemize}
\item
  27/11/2018

  \begin{itemize}
  \tightlist
  \item
    use the \texttt{uni-html4} option by default. It will convert some
    math characters as Unicode chars
  \end{itemize}
\item
  13/11/2018

  \begin{itemize}
  \tightlist
  \item
    added --xetex option to the README
  \end{itemize}
\item
  30/10/2018

  \begin{itemize}
  \tightlist
  \item
    use the original section numbering in TOC in the Epub 3 output. The
    numbering of the \texttt{\textless{}ol\textgreater{}} list is
    disabled by CSS.
  \end{itemize}
\item
  18/10/2018

  \begin{itemize}
  \tightlist
  \item
    fixed the executable installation
  \end{itemize}
\item
  03/09/2018

  \begin{itemize}
  \tightlist
  \item
    updated the \texttt{-\/-help} message
  \end{itemize}
\item
  30/08/2018

  \begin{itemize}
  \tightlist
  \item
    removed spurious \texttt{\textbackslash{}NoFonts} command in the
    footnote configuration, it caused formating issues in the document
    following a footnote
  \end{itemize}
\item
  22/06/2018

  \begin{itemize}
  \tightlist
  \item
    added support for the output directory selection
  \end{itemize}
\item
  09/05/2018

  \begin{itemize}
  \tightlist
  \item
    added support for Polyglossia language codes
  \item
    released version \texttt{0.2a}
  \end{itemize}
\item
  03/05/2018

  \begin{itemize}
  \tightlist
  \item
    fixed output format handling
  \end{itemize}
\item
  16/04/2018

  \begin{itemize}
  \tightlist
  \item
    don't run Git if the Makefile is executed outside of Git repo
  \end{itemize}
\item
  09/04/2018

  \begin{itemize}
  \tightlist
  \item
    released version \texttt{0.2}
  \end{itemize}
\item
  06/04/2018

  \begin{itemize}
  \tightlist
  \item
    documented the configuration file
  \end{itemize}
\item
  02/03/2018

  \begin{itemize}
  \tightlist
  \item
    added support for \texttt{.tex4ebook} configuration file
  \end{itemize}
\item
  28/02/2018

  \begin{itemize}
  \tightlist
  \item
    added media overlays handling
  \end{itemize}
\item
  19/10/2017

  \begin{itemize}
  \tightlist
  \item
    added support for XeTeX
  \end{itemize}
\item
  06/10/2017

  \begin{itemize}
  \tightlist
  \item
    added support for Make4ht extensions
  \end{itemize}
\item
  27/04/2017 Version 0.1e

  \begin{itemize}
  \tightlist
  \item
    pack the accumulated changes for distribution
  \item
    set version number from git tag
  \end{itemize}
\item
  17/01/2017

  \begin{itemize}
  \tightlist
  \item
    process duplicate images only once
  \item
    check the OPF table for duplicated id attributes
  \end{itemize}
\item
  11/01/2017

  \begin{itemize}
  \tightlist
  \item
    pass \texttt{settings} table to the build file.
  \end{itemize}
\item
  19/12/2016

  \begin{itemize}
  \tightlist
  \item
    new configuration:
    \texttt{\textbackslash{}Configure\{resettoclevels\}\{list\ of\ sectioning\ levels\ to\ be\ included\ in\ the\ NCX\}}
  \end{itemize}
\item
  31/10/2016

  \begin{itemize}
  \tightlist
  \item
    added tidyconf.conf to the Makefile
  \end{itemize}
\item
  22/10/2016

  \begin{itemize}
  \tightlist
  \item
    added support for new Make4ht command \texttt{Make:add\_file}
  \end{itemize}
\item
  22/08/2016

  \begin{itemize}
  \tightlist
  \item
    fixed incorrect \texttt{\textless{}dc:creator\textgreater{}}
    generated by \texttt{\textbackslash{}author}
  \item
    clean ids in the OPF file if they contain invalid characters at the
    beginning
  \end{itemize}
\item
  31/07/2016

  \begin{itemize}
  \tightlist
  \item
    use monospace font for command line options in order to prevent
    double hyphens to become dashes by ligaturing
  \end{itemize}
\item
  22/07/2016

  \begin{itemize}
  \tightlist
  \item
    removed debugging message when \texttt{-\/-lua} option is used
  \end{itemize}
\item
  07/04/2016

  \begin{itemize}
  \tightlist
  \item
    Cut \texttt{\textbackslash{}part} commands to standalone pages
  \end{itemize}
\item
  05/04/2016

  \begin{itemize}
  \tightlist
  \item
    bug fix: pages which contained math were arranged before other pages
  \end{itemize}
\item
  31/03/2016 Version 0.1d

  \begin{itemize}
  \tightlist
  \item
    bug fix: Unicode wasn't used by default
  \item
    bug fix: Formats weren't preserved
  \end{itemize}
\item
  06/12/2015 Version 0.1c

  \begin{itemize}
  \tightlist
  \item
    added \texttt{-\/-help} and \texttt{-\/-version} command line
    options
  \end{itemize}
\item
  25/11/2015

  \begin{itemize}
  \tightlist
  \item
    added missing language codes
  \item
    added \texttt{\textbackslash{}Configure\{DocumentLanguage\}} for the
    cases when document language inferencing doesn't work
  \end{itemize}
\item
  17/11/2015

  \begin{itemize}
  \tightlist
  \item
    use mkparams for cli arguments handling.
  \item
    fixed inconsistencies between recent changes in make4ht and
    tex4ebook
  \end{itemize}
\item
  24/09/2015 Version 0.1b

  \begin{itemize}
  \tightlist
  \item
    info about new workaround for \texttt{fontspec} package
  \end{itemize}
\item
  25/08/2015

  \begin{itemize}
  \tightlist
  \item
    fatal error happened with epub3 when the document didn't contain the
    TOC
  \end{itemize}
\item
  23/08/2015

  \begin{itemize}
  \tightlist
  \item
    simple cleaning of the ncx file if tidy command isn't available
  \end{itemize}
\item
  05/07/2015 Version 0.1a

  \begin{itemize}
  \tightlist
  \item
    \texttt{tex4ebook} script was missing in the distribution zip file
  \item
    all links moved to footnotes in the documentation
  \end{itemize}
\item
  29/06/2015 Version 0.1

  \begin{itemize}
  \tightlist
  \item
    fixes in documentation
  \end{itemize}
\item
  22/06/2015

  \begin{itemize}
  \tightlist
  \item
    changes moved from README.md to CHANGELOG.md
  \end{itemize}
\item
  18/06/2015

  \begin{itemize}
  \tightlist
  \item
    replaced \texttt{-\/-mathml} option with \texttt{-\/-mode}. For
    \texttt{mathml} support, use\texttt{mathml} option for
    \texttt{tex4ht.sty}.
  \item
    lot of stuff was fixed in \texttt{epub3} support.
  \item
    new command \texttt{\textbackslash{}OpfAddProperty}
  \end{itemize}
\item
  14/01/2015

\begin{verbatim}
- thanks Volker Gottwald for guide on [installing and using
  tex4ebook](https://d800fotos.wordpress.com/2015/01/19/create-e-books-from-latex-tex-files-ebook-aus-latex-tex-dateien-erstellen/)
  on Windows
\end{verbatim}
\item
  23/11/2014

\begin{verbatim}
- added new command `\OpfGuide`, for adding items to `<guide>`
  section in the `opf` file. This is useful for `epub` and `mobi` formats.

  Usage:

       \OpfGuide[filename]{title}{reference type}

   `filename` is optional, current file name is used when empty. See
   [epub 
   secrets](http://epubsecrets.com/where-do-you-start-an-epub-and-what-is-the-guide-section-of-the-opf-file.php)
   article
\end{verbatim}
\item
  20/10/2014

\begin{verbatim}
 - fixed issues with starred sections

 - files created with starred sectioning commands (`\chapter*`,
   `\section*`) should be included in correct reading order now
\end{verbatim}
\item
  16/09/2014

\begin{verbatim}
 - new features added
 - new configuration file for `--tidy` option, mathml and html5 elements
   are supported. This means that many validation errors in `mathml`
   output can be fixed with `--tidy` option
 - added configuration for all languages supported by `babel`
 - `woff` and `ttf` fonts are supported
 - added inline footlines in `epub3` format
 - added `no-cut` command line option for breaking sections and chapters
   into standalone pages
 - Please support [iniciative for improving mathml
   support](http://www.ulule.com/mathematics-ebooks/) in Gecko and Webkit
   engines. This will hopefully improve also Epub3 readers.
\end{verbatim}
\item
  10/08/2013

\begin{verbatim}
 - [`make4ht`](https://github.com/michal-h21/make4ht) is now standalone
   application which `tex4ebook` depends on. You must [install
\end{verbatim}

  it{]}(https://github.com/michal-h21/make4ht\#instalation) in order to
  use current \texttt{tex4ebook} version.
\end{itemize}
